
/* commons */
:root {
    --main-color: #6195ff;
    --main-opacity: 0.8;
    --main-trans: .3s;
    --main-margin: 100px;
    --main-back: #f4f4f4;
}
* {
    box-sizing: border-box;
    padding: 0;
    margin: 0;
}
html {
    scroll-behavior: smooth;
}
body {
    font-family: sans-serif;
}
ul {
    list-style: none;
}
.head-sec {
    text-align: center;
    font-size: 40px;
    margin-bottom: var(--main-margin);
    position: relative;
    text-transform: capitalize;
}
@media (max-width: 851px) {
    .head-sec {
        font-size: 35px;
    }
}
.head-sec::before {
    content: '';
    width: 50px;
    height: 4px;
    background-color: var(--main-color);
    position: absolute;
    bottom: -15px;
    left: 50%;
    transform: translateX(-50%);
}
.container {
    width: 90%;
    margin: 0 auto;
}
body > a {
    font-size: 16px;
    padding: 10px 15px;
    border-radius: 5px;
    background-color: var(--main-color);
    color: white;
    position: fixed;
    right: 10px;
    bottom: 50px;
    z-index: 5;
}

body > a:hover {
    opacity: var(--main-opacity);
}
/* commons */

.head {
    background-image: url(../images/background/background1.webp);
    position: fixed;
    background-attachment: fixed;
    background-size: cover;
    height: 100vh;
    position: relative;
    z-index: 6;
    margin-bottom: var(--main-margin);
}
.head::before {
    content: '';
    width: 100%;
    height: 100%;
    position: absolute;
    left: 0;
    top: 0;
    background-color: rgba(53, 52, 52, 0.679);
    z-index: -2;
}
.header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    height: 70px;
}
.header .logo img {
    width: 120px;
}
.header .logo .image-two {
    display: none;
}
.header .nav {
    display: flex;
    flex-wrap: wrap;
    text-transform: capitalize;
    
}

.header .nav li a:not(.active):before{
    content: '';
    background-color: var(--main-color);
    width: 0%;
    height: 3px;
    position: absolute;
    bottom: -5px;
    left: 0;
    transition: var(--main-trans);
}
.container .header .nav li {
    transition: var(--main-trans);
}
.header .nav li a {
    text-decoration: none;
    margin-right: 20px;
    color: #fff;
    position: relative;
}

.header .nav li a:hover {
    opacity: var(--main-opacity);
}
.header .nav .active::before {
    content: '';
    background-color: var(--main-color);
    width: 100%;
    height: 3px;
    position: absolute;
    bottom: -5px;
    left: 0;
    transition: var(--main-trans);
}
.header .nav li a:not(.active):hover::before {
    width: 100%;
}

.head-content {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-content: center;
    margin: 100px auto;
    text-align: center;
    width: 80%;
    color: white;
    z-index: -1;
}

.head-content h2 {
    font-size: 50px;
    margin-bottom: 5px;
}

.head-content p {
    font-size: 18px;
    line-height: 1.6;
    width: 80%;
    margin: auto
}

.head-content .head-buttons button {
    margin: 20px 5px 0;
    font-size: 16px;
    width: 150px;
    padding: 10px 0;
    border-radius: 5px;
    border: none;
    cursor: pointer;
    transition: none;
    transition: var(--main-trans);
}
.head-content .head-buttons button:hover {
    opacity: var(--main-opacity);
    transform: scale(0.97);
}

.head-content .head-buttons .active {
    background-color: var(--main-color);
    color: white;
}
.header i {
    display: none;
    cursor: pointer;
}
@media (max-width: 851px) {
    .container {
        width: 100%;
    }
    .head {
        margin-top: -30px;
    }
    .header {
        background-color: white;
        width: 100%;
        position: fixed;
        top: 0px;
        left: 0px;
    }
    .header .logo .image-two {
        display: block;
        width: 100px;
        padding-top: 10px;
    }
    .header .logo .image-one {
        display: none;
    }
    .container .header .nav {
        flex-direction: column;
        background-color: #000000d6;
        width: 40%;
        height: 100%;
        position: fixed;
        top: 70px;
        right: 0;
        display: none;
    }
    .container .header .nav li{
        padding: 10px;
        font-size: 18px;
        
    }
    .container .header .nav li:not(:last-child) {
        border-bottom: 1px solid rgba(119, 119, 119, 0.5);
    }
    .container .header .nav li:hover  {
        background-color: var(--main-color);
        cursor: pointer;
    }
    .header .nav .active::before {
        left: -10px;
        top: -10px;
        height: calc(100% + 20px);
        width: 3px;
    }
    .header .nav li a:not(.active):hover::before {
        display: none;
    }
    .header i {
        display: block;
        padding-right: 15px;
        font-size: 30px;
        padding-top: 20px;
    }
    
    .head-content {
        width: 100%;
        position: relative;
        top: 40%;
        transform: translateY(-50%);
    }
    .head-content h2 {
        font-size: 35px;
    }
    .head-content p {
        max-width: 100%;
        font-size: 16px;
    }
}
/* Start About */
.about {
    margin-bottom: var(--main-margin);
    display: flex;
    justify-content: space-between;
    text-align: center;
}
.about-card {
    border: 1px solid rgba(186, 186, 186, 0.385);
    padding: 20px;
    margin-right: 20px;
    position: relative;
}
.about-card::before {
    content: '';
    position: absolute;
    left: 0;
    top: 0;
    width: 0%;
    background-color: #333;
    height: 100%;
    z-index: -1;
    transition: var(--main-trans);
}
.about-card:hover::before {
    width: 100%;
}
.about-card:hover h3 {
    color: white;
}

.about-card i {
    font-size: 35px;
    margin: 15px 0 ;
    color: var(--main-color);
}
.about-card h3 {
    font-size: 22px;
    margin-bottom: 10px;
}

.about-card p {
    line-height: 1.4;
    color: #777;
    max-width: 100%;
    font-size: 18px;
}

.about-card a {
    padding: 15px 0 ;
    display: block;
    text-decoration: none;
    color: var(--main-color);
    font-size: 18px;
    width: fit-content;
    margin: auto
}

@media (max-width: 851px) { 
    .about {
        flex-direction: column;
        align-items: center;
        justify-content: center;
    }
    .about .about-card {
        margin-right: 0;
        margin-bottom: 15px;
    }

}
/* End About */
/* Start Port */
.portfolio {
    padding-top: var(--main-margin);
    background-color: var(--main-back);
}
.work-image {
    display: flex;
    align-items: center;
    flex-wrap: wrap;
    width: 100%;
}
.work-image img {
    width: 330px;
    margin: 0 20px 20px;
    transition: var(--main-trans);
}
.portfolio .work-image .image {
    position: relative;
}
.portfolio .work-image .image::before {
    content: '';
    position: absolute;
    left: 0;
    top: -10px;
    width: 0%;
    background-color: rgba(53, 52, 52, 0.679);
    height: 100%;
    transition: var(--main-trans);
}

.portfolio .work-image .image:hover::before {
    width: 100%;
}
.overlay {
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    width: 100%;
    text-align: center;
    display: none;
}
.overlay h3 {
    text-transform: uppercase;
    color: var(--main-color);
}
.overlay p {
    font-size: 22px;
    font-weight: bold;
    color: white;
    margin-bottom: 20px;
}
.overlay a {
    padding: 10px;
    color: white;
    text-decoration: none;
    background-color: var(--main-color);
    text-align: center;
}
.overlay a:hover {
    opacity: var(--main-opacity);
}
.portfolio .work-image .image:hover .overlay {
    display: block;
}

/* End Port */
/* Start Services */
.services {
    background-color: white;
    padding-bottom: var(--main-margin);
    padding-top: var(--main-margin);
}
.services .service-content {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(300px, 1fr));
    gap: 30px;
}
.services .service-content .serv-box {
    display: flex;
    border: 1px solid rgba(119, 119, 119, 0.192);
    padding: 20px 10px;
    position: relative;
    
}
.services .service-content .serv-box::before {
    content: '';
    width: 0%;
    height: 100%;
    background-color: #333;
    position: absolute;
    left: 0;
    top: 0;
    transition: var(--main-trans);
    z-index: 1;
}
.services .service-content .serv-box:hover::before {
    width: 100%;
}

.services .service-content .serv-box i {
    margin-right: 10px;
    margin-top: 25px;
    font-size: 30px;
    color: var(--main-color);
    z-index: 2;
}
.services .service-content .serv-box .text-content  {
    margin: 10px;
    z-index: 2;
}
.services .service-content .serv-box .text-content h3 {
    margin: 10px 0;
    font-size: 22px;

}
.services .service-content .serv-box:hover h3 {
    color: white;
}

.services .service-content .serv-box .text-content p {
    margin-bottom: 10px;
    line-height: 1.6;
    color: #777;
    font-size: 18px;
}

@media (max-width: 851px) {
    .services .service-content .serv-box {
        flex-direction: column;
        text-align: center;
        max-width: 100%;
        margin-bottom: 10px;
        padding: 10px;
    }
    .services .service-content {
        gap: 0;
    }
}
/* End Services */
/* Start Choose Us */
.choose-us {
    padding-top: var(--main-margin);
    padding-bottom: calc(var(--main-margin) + 100px);
}
.choose-us .container {
    display: flex;
    justify-content: space-between;
}
.choose-us .container .text-content {
    width: 40%;
}
.choose-us .container .text-content .head-sec {
    text-align: left;
}
.choose-us .container .text-content .head-sec::before {
    left: 25px;
}

.choose-us .container .text-content p {
    margin-bottom: 20px;
    line-height: 1.6;
    color: #777;
    font-size: 18px;
    width: 100%;
}
.choose-us .container .text-content i {
    margin-right: 10px;
    margin-bottom: 10px;
    color: var(--main-color);
    border-radius: 50%;
    border: 1px solid var(--main-color);
    padding: 5px;
}

.choose-us .container .text-content span {
    color: #777;
    width: 100%;
}

.choose-us .container .image {
    position: relative;
    
}
.choose-us .container .image:hover .fa-arrow-left, 
.choose-us .container .image:hover .fa-arrow-right {
    opacity: 1;
}

.choose-us .container .image .fa-arrow-left, 
.choose-us .container .image .fa-arrow-right {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    color: white;
    padding: 20px;
    background-color: var(--main-color);
    cursor: pointer;
    font-size: 12px;
    opacity: 0;
    transition: var(--main-trans);
}
.choose-us .container .image .fa-arrow-left:hover, 
.choose-us .container .image .fa-arrow-right:hover {
    opacity: var(--main-opacity);
}

.choose-us .container .image .fa-arrow-left {
    left: 0px;
}
.choose-us .container .image .fa-arrow-right {
    right: 0;
}
@media (max-width: 1029px) {
    .choose-us .container {
        flex-direction: column;
        align-items: center;
        justify-content: center;
    }
    .choose-us .container .image img{
        width: 390px;
    }
    .choose-us .container .text-content {
        width: 80%;
        margin-bottom: 30px;
    }
}
/* End Choose Us */
/* Start Number Section */
.number-sec {
    position: relative;
}
.number-sec .contain {
    background-image: url('../images/background/background2.webp');
    background-size: cover;
    background-attachment: fixed;
    position: relative;
    width: 100%;
    height: 400px;
}
.number-sec .contain::before {
    content: '';
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.801);
    position: absolute;
    left: 0;
    top: 0;
    transition: var(--main-trans);
}

.number-sec .contain-box {
    width: 100%;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(300px, 1fr));
    gap: 20px;
}
.number-sec .contain-box .achievement-box {
    margin: auto;
    text-align: center;
    color: white;
}
.number-sec .contain-box .achievement-box i {
    font-size: 40px;
    color: var(--main-color);
    margin-bottom: 10px;
}
.number-sec .contain-box .achievement-box h3 {
    font-size: 50px;
    margin-bottom: 5px;
}

@media (max-width: 768px) {
    .number-sec .contain-box {
        flex-direction: column;
        gap: 40px;
    }
    .number-sec .contain {
        height: calc(160.9px * 5);
        background-position: center;
    }

}
/* End Number Section */
/* Start Prices */
.prices {
    padding-top: var(--main-margin);
    padding-bottom: var(--main-margin);
    background-color: white;
}
.prices .container {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(300px, 1fr));
    gap: 20px;
}

.prices .container .price-card {
    border: 1px solid rgba(186, 186, 186, 0.385);
    padding: 20px;
    text-align: center;
    flex: 1;
    position: relative;
    z-index: 2;
}
.prices .container .price-card::before {
    content: '';
    background-color: #333;
    width: 100%;
    height: 0%;
    position: absolute;
    left: 0;
    top: 0;
    transition: var(--main-trans);
}
.prices .container .price-card:hover::before {
    height: 100%;
    z-index: -1;
}
.prices .container .price-card:not(:last-child) {
    margin-right: 20px;
}
.prices .container .price-card .title {
    color: #777;
    margin-bottom: 20px;
    text-transform: uppercase;
}
.prices .container .price-card:hover .title {
    color: var(--main-color)
}
.prices .container .price-card .text-content {
    padding: 10px;
    width: 130px;
    height: 130px;
    border-radius: 50%;
    border: 2px solid var(--main-color);
    margin: 0 auto 10px;
    display: flex;
    flex-direction: column;
    justify-content: center;

}

.prices .container .price-card:hover .text-content {
    color: white;
}

.prices .container .price-card h3{
    font-size: 40px;
}

.prices .container .price-card .text-content p{
    font-weight: bold;
    text-transform: uppercase;
    font-family: Tahoma;
}
.prices .container .price-card > p {
    color: #777;
    margin-bottom: 10px;
}
.prices .container .price-card a {
    text-decoration: none;
    display: block;
    width: 200px;
    margin: 20px auto ;
    padding: 10px;
    border: 3px solid var(--main-color);
    background-color: transparent;
    color: var(--main-color)
}
.prices .container .price-card a:hover {
    opacity: var(--main-opacity);
}

@media (max-width: 853px) {
    .prices .container .price-card:not(:last-child) {
        margin-right: 0px;
    }
}
/* End Prices */
/* Start Testimonial */
.testimonial {
    position: relative;
    background-color: white;
}
.testimonial .contain-image {
    background-image: url('../images/background/background3.webp');
    background-size: cover;
    background-position: center;
    background-attachment: fixed;
    position: relative;
    width: 100%;
    height: 400px;
}
.testimonial .contain-image::before {
    content: '';
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.501);
    position: absolute;
    left: 0;
    top: 0;
    transition: var(--main-trans);
}
.testimonial .contain-image .contain-cv {
    display: flex;
    align-content: center;
    justify-content: center;
    height: 100%;
}
.testimonial .contain-image .cv-card {
    z-index: 2;
    color: white;
    width: 500px;
    margin: auto 0;
}
.testimonial .contain-image .cv-card .box {
    display: flex;
}
.testimonial .contain-image .cv-card .box img {
    margin-right: 20px;
    margin-bottom: 20px;
    border-radius: 50%;
}
.testimonial .contain-image .cv-card .box .text-content h3 {
    margin-bottom: 10px;
    margin-top: 5px;
    font-size: 22px;
}
.testimonial .contain-image .cv-card .box .text-content p {
    color: var(--main-color);
    text-transform: uppercase;
}
.testimonial .contain-image .cv-card > p {
    line-height: 1.6;
    width: 100%;
}
@media (max-width: 720px) {
    .testimonial .contain-image .contain-cv {
        flex-direction: column;
    }
    .testimonial .contain-image .cv-card {
        width: 70%;
        margin: 10px auto 20px
    }
    .testimonial .contain-image {
        height: auto;
        width: 100%;
        background-position: top;
    }
}
/* End Testimonial */
/* Start Our-Team */
.team {
    padding-top: var(--main-margin);
    padding-bottom: var(--main-margin);
    background-color: white;
}
.team .our-team {
    display: flex;
    justify-content: space-around;
    text-align: center;
}
.team .our-team .team-box {
    width: 500px;
    height: 400px;
    background-color: var(--main-back);
    padding: 20px 0px;
    margin-right: 10px;
    position: relative;
    
}
.team .our-team .team-box::before {
    content: '';
    width: 100%;
    height: 0%;
    background-color: #333;
    position: absolute;
    left: 0;
    top: 0;
    transition: var(--main-trans);
}
.team .our-team .team-box:hover::before {
    height: 100%;
}
.team .our-team .team-box img {
    width: 300px;
}
.team .our-team .team-box .image {
    position: relative;
}
.team .our-team .team-box .image::before {
    content: '';
    width: 0;
    height: 270px;
    background-color: rgba(0, 0, 0, 0.501);
    position: absolute;
    left: 0px;
    top: 0;
    transition: var(--main-trans);
}
.team .our-team .team-box .image .links {
    content: '';
    width: 50px;
    height: 50%;
    background-color: var(--main-color);
    opacity: 0;
    position: absolute;
    right: 0px;
    top:0;
    display: flex;
    flex-direction: column;
    justify-content: space-around;
    align-items: center;
    transition: var(--main-trans)
}
.team .our-team .team-box .image .links a {
    text-decoration: none;
    color: white;
    font-size: 20px;
}
.team .our-team .team-box:hover .image::before {
    width: 100%;
}
.team .our-team .team-box:hover .image .links {
    opacity: var(--main-opacity);
}
.team .our-team .team-box .text-content {
    padding-top: 20px;
    position: relative;
}

.team .our-team .team-box .text-content h3 {
    font-size: 22px;
    padding-bottom: 10px;
}
.team .our-team .team-box:hover .text-content h3 {
    color: white
}
.team .our-team .team-box .text-content p {
    text-transform: uppercase;
    font-size: 14px;
}
.team .our-team .team-box:hover .text-content p {
    color: var(--main-color)
}
@media (max-width: 960px) {
    .team .our-team .team-box {
        width: 300px;
        height: 300px;
    }
    .team .our-team .team-box img {
        width: 200px;
    }
}
@media (max-width: 825px) {
    .team .our-team {
        flex-direction: column;
        justify-content: space-between;
        align-items: center;
    }
    .team .our-team .team-box {
        margin-bottom: 50px;
        width: 100%;
        height: auto;
    }
    .team .our-team .team-box:hover .image::before {
        height: 100%;
    }
    .team .our-team .team-box img {
        width: 100%;
    }
}
/* End Our-Team */
/* Start Blog */
.blog {
    padding-top: var(--main-margin);
    padding-bottom: var(--main-margin);
}
.blog .our-blog {
    display: flex;
    justify-content: space-around;
    align-items: center;
}
.blog .our-blog .blog-box {
    margin-right: 20px;
    background-color: white;
}
.blog .our-blog .blog-box img {
    max-width: 100%;
    margin-bottom: 20px;
}
.blog .our-blog .blog-box .text-content {
    margin-left: 20px;
    margin-bottom: 20px;
    font-size: 14px;
}
.blog .our-blog .blog-box .text-content i{
    margin-right: 5px;
    color: var(--main-color);
}
.blog .our-blog .blog-box .text-content span{
    margin-right: 10px;
}
.blog .our-blog .blog-box h2 {
    margin-left: 20px;
    margin-bottom: 20px;
    font-size: 22px;
}

.blog .our-blog .blog-box > p {
    margin-left: 20px;
    margin-bottom: 20px;
    font-size: 18px;
    line-height: 1.6;
    color: #777;
}
.blog .our-blog .blog-box > a {
    display: block;
    margin-left: 20px;
    margin-bottom: 20px;
    font-size: 18px;
    text-decoration: none;
    color: var(--main-color)
}
.blog .our-blog .blog-box > a:hover {
    opacity: var(--main-opacity);
}
@media (max-width: 1001px) {
    .blog .our-blog {
        flex-direction: column;
        justify-content: center;
        align-items: center;
    }
    .blog .our-blog .blog-box {
        margin-right: 0;
        margin-bottom: 20px;
        border-bottom: 1px solid #777
    }
    .blog .our-blog .blog-box img {
        width: 100%;
        
    }
}
/* End Blog */
/* Start Contact */
.contact {
    background-color: white;
    padding-top: var(--main-margin);
    padding-bottom: var(--main-margin)
}

.contact .our-contact {
    display: flex;
    justify-content: center;
    align-items: center;
}
.contact .our-contact .contact-box {
    text-align: center;
    margin: 0 20px;
    flex: 1;
}
.contact .our-contact .contact-box i {
    font-size: 25px;
    color: var(--main-color);
    margin-bottom: 10px;
}
.contact .our-contact .contact-box h2 {
    margin-bottom: 10px;
}
.contact .our-contact .contact-box p {
    color: #777;
}
.inputs-box {
    margin: 40px auto 0;
    display: flex;
    flex-direction: column;
    gap: 20px;
    width: 700px;
}
.inputs-box input, 
.inputs-box textarea {
    border: none;
    background-color: var(--main-back);
    padding: 10px;
    border-radius: 10px;
}
.inputs-box input::placeholder,
.inputs-box textarea::placeholder {
    color: #aaa;
}
.inputs-box input:focus,
.inputs-box textarea:focus {
    outline: 2px solid;
    border-bottom: 1px solid blue;
}
.inputs-box .neem-inputs {
    display: flex;
    justify-content: space-between;
    align-items: center;
}
.inputs-box .neem-inputs input {
    flex: 1;
}
.inputs-box .neem-inputs input:first-child {
    margin-right: 10px;
}
.inputs-box a {
    display: block;
    text-decoration: none;
    color: white;
    background-color: var(--main-color);
    padding: 10px 20px;
    border-radius: 5px;
    font-size: 18px;
    margin: 20px auto;
}
.inputs-box a:hover {
    opacity: var(--main-opacity);
}
@media (max-width: 560px){
    .contact .our-contact {
        flex-direction: column;
        row-gap: 40px;
    }
}

@media (max-width: 720px){
    .inputs-box {
        max-width: 90%;
    }
    .inputs-box .neem-inputs {
        flex-direction: column;
    }
    .inputs-box .neem-inputs input {
        width: 100%;
    }
    .inputs-box .neem-inputs input:first-child {
        margin-right: 0;
        margin-bottom: 20px;
    }
}
/* End Contact */
/* Start Footer */
.footer {
    background-color: #333;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
}
.footer img {
    margin: 20px auto
}
.footer img:hover, 
.footer .foot-box a:hover,
.footer p a:hover {
    opacity: var(--main-opacity);
} 
.footer .foot-box a{
    color: white;
    display: inline-block;
    margin: 0 5px 20px;
    background-color: var(--main-color);
    font-size: 20px;
    padding: 20px;
    border-radius: 5px;
}
.footer p {
    margin-bottom: 50px;
    color: #777;
}
.footer p a {
    color: var(--main-color);
    text-decoration: none;
}
.footer p i {
    color: red;
    padding-left: 5px;
}
@media (max-width: 577px) {
    .footer .foot-box a {
        font-size: 18px;
        padding: 10px;
    }
    .footer p {
        text-align: center;
        line-height: 1.6;
    }
}
/* End Footer */
